image: ruby:3.2-bullseye

variables:
  JEKYLL_ENV: production
  LC_ALL: C.UTF-8
 
before_script:
  - apt-get update && apt-get install -y build-essential libxml2-dev libxslt1-dev
  - gem install bundler
  - bundle install
  - ruby -v
  - ruby -e "require 'csv'; puts 'CSV is available!'"
 
pages:
  stage: deploy
  script:
  - bundle exec jekyll build -d public
  artifacts:
    paths:
    - public
